<template>
  <section class="main-body-wrapper">
    <div v-if="processing" class="container p-0">
      <div class="form-wrapper review-account">
        <div class="container-fluid">
          <h1>Please wait while we review your account</h1>
          <div class="spinner">
            <div class="bounce1"></div>
            <div class="bounce2"></div>
            <div class="bounce3"></div>
            <div class="bounce4"></div>
            <div class="bounce5"></div>
            <div class="bounce6"></div>
          </div>
          <p>Do NOT close this page while we process your information.
            <br>This process can take up to 2 minutes
          </p>
        </div>
      </div>
    </div>
    <div  class="form-wrapper review-account" v-if="processing==false">
     <div>
        <h1>Check completed {{ checkResult.status }} </h1>
        {{ checkResult }}
        <hr/>

        <h1>Microbilt checks</h1>
        <div v-for="(check,index) in checks" :key="index">
          
          <h2>IDENTITY CHECK: {{ check.identity.cvi }}</h2>
          
          <p v-for="(item,index) in check.identity.result.Subject.Score.Factor" :key="index">
            {{ item.Code._text }} - {{ item.Description._text }} <br/>
          </p>
          {{check.identity | pretty }}

          <h2>CREDIT CHECK</h2>
          {{check.credit | pretty }}
          
          <hr/>
          
          {{ checkResult }}
        </div>
    </div>
 	<div class="row m-0">
     	     <div class="col-lg-6 col-md-12 p-0">
							<div class="previous-step-wrap">
								<a href v-if="processing==false" @click.prevent="back" class="previous-step">Previous Step</a>
							</div>
						</div>
						<div class="col-lg-6 col-md-12 ">
							<div class="continue-btn-wrap">
								<button type="submit" class="btn continue-btn" v-if="processing==false" @click.prevent="next">Continue</button>
							</div>
						</div>
		</div> 
</div>
     
  </section>
</template>

<script>


export default {
  name: "Checks",
  data() {
    return {
      checkStatus: "Checking Identity..",
      token: localStorage.getItem('token'),
      checks: null,
      processing: true,
      checkResult: null,
    }
  },
  mounted() {
    this.runChecks();
  },
  filters: {
    pretty: function(value) {
      return JSON.stringify(value, null, 2);
    }
  },
  methods: {
    runChecks: function() {
      let that = this;
      this.checkStatus = "Setting up account..";
      this.$axios({
        url: "/onboarding/checks",
        method: "GET",
        headers: {
          "content-type": "application/json",
          authorization: "Bearer " + this.token
        }
      })
      .then(response => {
        console.log("sync:---")
        console.log(response)
        that.subAccount= response.data.accountId +"."+response.data.subAccountId
        localStorage.setItem('account',that.subAccount)
        that.checks = response.data.checks //to be removed prior launch
        that.checkResult = response.data.status
        that.processing= false
        if(this.$NODE_ENV!='development'){
             this.next();
        }
      })
      .catch(error => {
        let logObject = {module: "onboarding",error: error, details: {page: "checks.runChecks",endpoint: "/onboarding/checks"}};
        this.$store.commit('logError', logObject);
      })
    },
    next: function() {
     if(this.processing==false) {
        let nextStep= this.checkResult.status=='approved' ? "AccountApproved" : "AccountNotApproved";
        this.$store.commit('setStepProgress', {step:4,status:  'progress'})
        this.$store.commit('setFlowStatus',{flowCompleted: true, flowStatus: nextStep});
        this.$router.push({ name: nextStep });
      }
    },
    back: function() {
      this.$router.push({ name: "ConnectToBank" });
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
